summaryrefslogtreecommitdiffstats
path: root/development/asl/asl.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/asl/asl.SlackBuild')
-rw-r--r--development/asl/asl.SlackBuild54
1 files changed, 38 insertions, 16 deletions
diff --git a/development/asl/asl.SlackBuild b/development/asl/asl.SlackBuild
index 97d85105fb..dae257b4aa 100644
--- a/development/asl/asl.SlackBuild
+++ b/development/asl/asl.SlackBuild
@@ -4,7 +4,7 @@
# Written by Oleg O. Chukaev <oleg.chukaev@mail.ru>
PRGNAM=asl
-VERSION=current
+VERSION=current_20090810
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -16,10 +16,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -28,7 +31,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -37,18 +40,39 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-cp Makefile.def.tmpl Makefile.def
-sed -i 's|/usr/local|/usr|' Makefile.def
-sed -i "s|-O3 -fomit-frame-pointer|${SLKCFLAGS}|" Makefile.def
-sed -i 's|chmod 644 ${MANPATH}/man1/$i|chmod 644 ${MANPATH}/man1/`basename $i`|' install.sh
+# Fixup the manpage installation
+patch -p1 < $CWD/fixup_manpage_install.diff
-make
-make docs
-PREFIX=$PKG make install
+mv Makefile.def.tmpl Makefile.def
+
+make \
+ CFLAGS="$SLKCFLAGS" \
+ BINDIR=/usr/bin \
+ INCDIR=/usr/include/asl \
+ MANDIR=/usr/man \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX}/asl \
+ DOCDIR=/usr/doc/$PRGNAM-$VERSION
+make docs \
+ CFLAGS="$SLKCFLAGS" \
+ BINDIR=/usr/bin \
+ INCDIR=/usr/include/asl \
+ MANDIR=/usr/man \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX}/asl \
+ DOCDIR=/usr/doc/$PRGNAM-$VERSION
+make install \
+ CFLAGS="$SLKCFLAGS" \
+ PREFIX=$PKG \
+ BINDIR=/usr/bin \
+ INCDIR=/usr/include/asl \
+ MANDIR=/usr/man \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX}/asl \
+ DOCDIR=/usr/doc/$PRGNAM-$VERSION
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -56,15 +80,13 @@ PREFIX=$PKG make install
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- BENCHES INSTALL README README.DOS README.KR \
- README.LANGS README.OS2 TODO changelog \
- $PKG/usr/doc/$PRGNAM-$VERSION
+ BENCHES INSTALL README* TODO changelog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}